# Porridger

Food and other stuff sharing platform. The service was developed during Digital Students hackathon by "Полка Billy" team.

Members:

* Dmitry Gantimurov - Backend
* Dmitriy Shishkov - Frontend
* Vladimir Yakovlev - Backend & Design

## Dev build instructions

Frontend:

```sh
cd front

npm i

npm run dev
```

Backend:

```sh
pip install -r requirements.txt

uvicorn back.main:app --reload
```

## Deploy instructions

Only docker/podman are required

```sh
docker build . -t porridger:build

docker run --name porridger -p 8080:80 -v ./sql_app.db:/srv/sql_app.db -v uploads:/srv/uploads porridger:build
```
